会話をする
このコード・スニペットでは、指定された Conversation を取得する方法を学びます。
例
以下の変数が、便利な方法で必要な値に設定されていることを確認してください:
| キー | 説明 |
|---|---|
CONVERSATION_ID | The ID of the Conversation to be retrieved. |
Prerequisites
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Write the code
Add the following to get-conversation.sh:
curl "https://api.nexmo.com/v1/conversations/$CONV_ID" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json'Run your code
Save this file to your machine and run it:
Prerequisites
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCreate a file named get-conversation.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Write the code
Add the following to get-conversation.js:
vonage.conversations.getConversation(CONV_ID)
.then((conversation) => console.log(conversation))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Add the following to build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Create a class named GetConversation and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the GetConversation class:
var conversation = client.getConversationsClient().getConversation(CONV_ID);
System.out.println(conversation);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Run the following gradle command to execute your application, replacing com.vonage.quickstart.conversation with the package containing GetConversation:
Prerequisites
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCreate a file named GetConversation.cs and add the following code:
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.GetConversation;
using Vonage.Request;Add the following to GetConversation.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Write the code
Add the following to GetConversation.cs:
var response = await client.ConversationsClient.GetConversationAsync(GetConversationRequest.Parse(CONV_ID));Prerequisites
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCreate a file named get-conversation.php and add the following code:
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Write the code
Add the following to get-conversation.php:
$conversation = $client->conversation()->getConversationById(CONVERSATION_ID);Run your code
Save this file to your machine and run it:
試してみる
コードを実行すると、指定されたConversationが得られる。